<?php

App::uses('BuzzEmailsAppController', 'BuzzEmails.Controller');

class EmailsController extends BuzzEmailsAppController {

/**
 * Supported admin actions
 *
 * @var array
 */
	public $adminActions = array(
		'admin_index',
		'admin_edit'
	);

	public $components = array(
		'BuzzTranslate.Translation' => array(
			'fields' => array(
				'subject',
				'content'
			)
		)
	);

	public function admin_edit($id = null) {
		parent::admin_edit($id);
		$this->Translation->adminTranslationFormFields();
		return;
	}

	protected function _adminFormFields() {
		$fields = parent::_adminFormFields();

		$fields['Email.name']['displayonly'] = 'displayonly';
		$fields['Email.required_tokens']['displayonly'] = 'displayonly';
		$fields['Email.optional_tokens']['displayonly'] = 'displayonly';

		return $fields;
	}

/**
 * Defines a whitelist of columns to be displayed on the admin index.
 *
 * @return array whitelisted columns
 */
	protected function _adminIndexColumnsWhitelist() {
		$Email = $this->{$this->modelClass};
		$alias = $Email->alias;

		$columns = parent::_adminIndexColumnsWhitelist();
		$columns[] = $alias . '.subject';

		return $columns;
	}

	protected function _adminIndexToolbar() {
		return [];
	}

	protected function _adminFormToolbar($id = null) {
		return [];
	}

}
